tempnam
touch
Filesystem Functions
PHP Manual

# tmpfile

Creates a temporary file

### Description

resource tmpfile ( void )

Creates a temporary file with a unique name in read-write (w+) mode and returns a file handle .

The file is automatically removed when closed (using fclose), or when the script ends.

For details, consult your system documentation on the tmpfile(3) function, as well as the stdio.h header file.

### Return Values

Returns a file handle, similar to the one returned by fopen, for the new file or `FALSE` on failure.

### Examples

Example #1 tmpfile example

`<?php
$temp = tmpfile();
fwrite($temp, "writing to tempfile");
fseek($temp, 0);
echo fread($temp, 1024);
fclose($temp); // this removes the file
?>`

The above example will output:

    writing to tempfile

### See Also

- tempnam
- sys_get_temp_dir